"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeployIntegrationInstanceDocument = exports.CheckIfInstanceNameExistsDocument = void 0;
const gql_1 = require("../../codegen/gql");
exports.CheckIfInstanceNameExistsDocument = (0, gql_1.graphql)(`
  query checkIfInstanceNameExists($customerId: ID!, $name: String!) {
    instances(name_Icontains: $name, customer: $customerId) {
      nodes {
        id
        name
        __typename
      }
      __typename
    }
  }
`);
exports.DeployIntegrationInstanceDocument = (0, gql_1.graphql)(`
  mutation deployInstance($instanceId: ID!) {
    deployInstance(input: { id: $instanceId }) {
      errors {
        field
        messages
        __typename
      }
      instance {
        id
        name
        customer {
          id
          name
          __typename
        }
        integration {
          id
          name
          versionNumber
          __typename
        }
        __typename
      }
      __typename
    }
  }
`);
