"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMarketplaceIntegrationDocument = exports.CreateInstanceDocument = exports.GetIntegrationDocument = void 0;
const gql_1 = require("../../codegen/gql");
exports.GetIntegrationDocument = (0, gql_1.graphql)(`
  query getIntegration($id: ID!) {
    integration(id: $id) {
      id
      name
      description
    }
  }
`);
exports.CreateInstanceDocument = (0, gql_1.graphql)(`
  mutation createInstance(
    $integrationId: ID!
    $customerId: ID!
    $name: String!
    $description: String
    $labels: [String]
    $configVariables: [InputInstanceConfigVariable]
  ) {
    createInstance(
      input: {
        name: $name
        description: $description
        labels: $labels
        integration: $integrationId
        customer: $customerId
        configVariables: $configVariables
      }
    ) {
      instance {
        id
        name
        description
        labels
        customer {
          id
          name
          __typename
        }
        integration {
          id
          name
          versionNumber
          __typename
        }
        configVariables {
          nodes {
            id
            authorizeUrl
            status
            value
            requiredConfigVariable {
              dataType
            }
          }
        }
        __typename
      }
      errors {
        field
        messages
        __typename
      }
      __typename
    }
  }
`);
exports.GetMarketplaceIntegrationDocument = (0, gql_1.graphql)(`
  query getMarketplaceIntegration($integrationId: ID!) {
    marketplaceIntegration(id: $integrationId) {
      id
      name
      description
      isCustomerDeployable
      versionIsAvailable
      versionIsLatest
      versionNumber
      versionComment
      versionCreatedAt
    }
  }
`);
