"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserInfoFragment = exports.GetUserInfoDocument = void 0;
const gql_1 = require("../../codegen/gql");
exports.GetUserInfoDocument = (0, gql_1.graphql)(`
  query getUserInfo {
    authenticatedUser {
      ...userInfo
      __typename
    }
  }
`);
exports.UserInfoFragment = (0, gql_1.graphql)(`
  fragment userInfo on User {
    id
    email
    name
    avatarUrl
    appName
    marketplaceName
    appAvatarUrl
    darkMode
    darkModeSyncWithOs
    dateJoined
    featureFlags
    org {
      id
      name
      avatarUrl
      currentPlan
      overdue
      featureFlags
      allowExecutionRetryConfig
      allowAddUser
      allowAddCustomer
      allowCustomTheme
      allowConfigureThemes
      allowViewBilling
      allowAddAlertGroup
      allowAddIntegration
      allowAddAlertWebhook
      allowAddCredential
      allowAddExternalLogStream
      allowAddSigningKey
      allowEnableInstance
      allowExecuteInstance
      allowPublishComponent
      allowRemove
      allowUpdate
      allowConfigureEmbedded
      allowConfigureExternalLogStreams
      allowConfigureCredentials
      allowUserLevelConfig
      __typename
    }
    customer {
      id
      org {
        id
        __typename
      }
      name
      avatarUrl
      allowAddUser
      allowRemove
      allowUpdate
      allowConfigureCredentials
      allowAddInstance
      externalId
      __typename
    }
    role {
      id
      name
      __typename
    }
    __typename
  }
`);
