"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createUrqlClient = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@urql/core");
const node_fetch_1 = tslib_1.__importDefault(require("node-fetch"));
function createUrqlClient(jwtToken, region) {
    return (0, core_1.createClient)({
        url: resolveIntegrationHubBaseUrl(region),
        fetchOptions: {
            headers: {
                authorization: `Bearer ${jwtToken}`,
            },
        },
        fetch: node_fetch_1.default,
    });
}
exports.createUrqlClient = createUrqlClient;
function resolveIntegrationHubHost(region) {
    switch (region) {
        case "eu-west":
            return "eu-west-1";
        case "us-east":
            return "us-east-2";
        default:
            return "us-east-2";
    }
}
function resolveIntegrationHubBaseUrl(region) {
    return `https://${resolveIntegrationHubHost(region)}.elasticpathintegrations.com/api/`;
}
