"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deployIntegrationInstance = void 0;
const integration_instance_query_1 = require("../integration-hub-queries/integration-instance-query");
async function deployIntegrationInstance(urqlClient, vars) {
    const response = await gqlDeployIntegrationInstance(urqlClient, vars);
    if (response.data && response.data?.deployInstance) {
        const deployedInstance = response.data?.deployInstance;
        return {
            success: true,
            data: deployedInstance,
        };
    }
    else {
        return {
            success: false,
            error: new Error(`${response.error?.name} - ${response.error?.message}`),
        };
    }
}
exports.deployIntegrationInstance = deployIntegrationInstance;
async function gqlDeployIntegrationInstance(urqlClient, vars) {
    return urqlClient
        .mutation(integration_instance_query_1.DeployIntegrationInstanceDocument, vars)
        .toPromise();
}
