"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.doesIntegrationInstanceExist = void 0;
const graphql_1 = require("../../codegen/gql/graphql");
async function doesIntegrationInstanceExist(urqlClient, customerId, integrationName) {
    const resp = await gqlCheckIfInstanceExists(urqlClient, {
        customerId,
        name: integrationName,
    });
    return (resp.data?.instances?.nodes?.length ?? []) > 0;
}
exports.doesIntegrationInstanceExist = doesIntegrationInstanceExist;
async function gqlCheckIfInstanceExists(urqlClient, vars) {
    return urqlClient.query(graphql_1.CheckIfInstanceNameExistsDocument, vars).toPromise();
}
