"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIntegration = void 0;
const integration_query_1 = require("../integration-hub-queries/integration-query");
const helpers_1 = require("../helpers");
async function getIntegration(urqlClient, vars) {
    try {
        const response = await gqlGetIntegration(urqlClient, vars);
        const integrationData = response.data?.integration;
        if (integrationData !== null && integrationData !== undefined) {
            return {
                success: true,
                data: integrationData,
            };
        }
        return (0, helpers_1.processAsIntegrationHubErrorResponse)(response);
    }
    catch (err) {
        return {
            success: false,
            error: (0, helpers_1.handleCatchError)(err),
        };
    }
}
exports.getIntegration = getIntegration;
async function gqlGetIntegration(urqlClient, vars) {
    return urqlClient.query(integration_query_1.GetIntegrationDocument, vars).toPromise();
}
