"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMarketplaceIntegrationByName = void 0;
const graphql_1 = require("../../codegen/gql/graphql");
const helpers_1 = require("../helpers");
async function getMarketplaceIntegrationByName(urqlClient, vars) {
    try {
        const response = await gqlGetMarketplaceIntegrationByName(urqlClient, vars);
        const integrationData = response.data?.marketplaceIntegrations.nodes?.[0];
        if (integrationData !== null && integrationData !== undefined) {
            return {
                success: true,
                data: integrationData,
            };
        }
        return (0, helpers_1.processAsIntegrationHubErrorResponse)(response);
    }
    catch (err) {
        return {
            success: false,
            error: (0, helpers_1.handleCatchError)(err),
        };
    }
}
exports.getMarketplaceIntegrationByName = getMarketplaceIntegrationByName;
async function gqlGetMarketplaceIntegrationByName(urqlClient, vars) {
    return urqlClient
        .query(graphql_1.GetMarketplaceIntegrationByNameDocument, vars)
        .toPromise();
}
