"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.integrationAuthToken = void 0;
const tslib_1 = require("tslib");
const node_fetch_1 = tslib_1.__importDefault(require("node-fetch"));
const resolve_epcc_url_1 = require("../../utility/resolve-epcc-url");
async function integrationAuthToken(host, accessToken) {
    const url = `${(0, resolve_epcc_url_1.resolveEpccBaseUrl)(host)}/v2/platform-integrations/authentication-token`;
    const resp = await (0, node_fetch_1.default)(url, {
        headers: {
            Authorization: `Bearer ${accessToken}`,
        },
    }).then((resp) => resp.json());
    if (!isSuccessResponse(resp)) {
        return {
            success: false,
            error: new Error("Failed to get integrations authentication token."),
        };
    }
    return { success: true, data: { jwtToken: resp.data.jwt_token } };
}
exports.integrationAuthToken = integrationAuthToken;
function isSuccessResponse(resp) {
    return typeof resp === "object" && resp !== null && "data" in resp;
}
