"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.integrationCreateResultSchema = exports.algoliaIntegrationCreateResultSchema = exports.algoliaIntegrationCreateFailureResultSchema = exports.algoliaIntegrationCreateSuccessResultSchema = exports.integrationFailureResultBase = exports.errorCodeSchema = exports.integrationCreateConfigSchema = exports.algoliaIntegrationSettingsSchema = exports.integrationSettingsBaseSchema = void 0;
const zod_1 = require("zod");
const error_messages_1 = require("../error-messages");
exports.integrationSettingsBaseSchema = zod_1.z.object({
    epccConfig: zod_1.z.object({
        host: zod_1.z.union([zod_1.z.string(), zod_1.z.literal("eu-west"), zod_1.z.literal("us-east")]),
        clientId: zod_1.z.string(),
        clientSecret: zod_1.z.string(),
    }),
});
exports.algoliaIntegrationSettingsSchema = exports.integrationSettingsBaseSchema.merge(zod_1.z.object({
    name: zod_1.z.literal("algolia"),
    appId: zod_1.z.string().min(1),
    adminApiKey: zod_1.z.string().min(1),
}));
exports.integrationCreateConfigSchema = zod_1.z.discriminatedUnion("name", [
    exports.algoliaIntegrationSettingsSchema,
]);
exports.errorCodeSchema = zod_1.z.enum(error_messages_1.errorCodes);
exports.integrationFailureResultBase = zod_1.z.object({
    success: zod_1.z.literal(false),
    code: exports.errorCodeSchema,
    reason: zod_1.z.string(),
    error: zod_1.z.instanceof(Error).optional(),
});
exports.algoliaIntegrationCreateSuccessResultSchema = zod_1.z.object({
    success: zod_1.z.literal(true),
    name: zod_1.z.literal("algolia"),
    result: zod_1.z.any(),
});
exports.algoliaIntegrationCreateFailureResultSchema = exports.integrationFailureResultBase.merge(zod_1.z.object({
    name: zod_1.z.literal("algolia"),
}));
exports.algoliaIntegrationCreateResultSchema = zod_1.z.discriminatedUnion("success", [
    exports.algoliaIntegrationCreateSuccessResultSchema,
    exports.algoliaIntegrationCreateFailureResultSchema,
]);
exports.integrationCreateResultSchema = exports.algoliaIntegrationCreateResultSchema;
