"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.epccHandlers = void 0;
const msw_1 = require("msw");
const gateways_response_1 = require("./data/gateways-response");
exports.epccHandlers = [
    msw_1.rest.post("https://mock-host.com/oauth/access_token", (req, res, ctx) => {
        return res(ctx.json({
            access_token: "mock-access-token-123",
            expires_in: 9999999999,
            expires: 9999999999,
            identifier: "client_credentials",
            token_type: "Bearer",
        }));
    }),
    msw_1.rest.get("https://mock-host.com/v2/gateways", (req, res, ctx) => {
        return res(ctx.json(gateways_response_1.gatewaysEnabledResponse));
    }),
    msw_1.rest.put("https://mock-host.com/v2/gateways/elastic_path_payments_stripe", async (req, res, ctx) => {
        const reqData = await req.json();
        return res(ctx.json({
            data: {
                ...gateways_response_1.updateEPPaymentGatewayResponse.data,
                stripe_account: reqData.data.stripe_account,
                test: reqData.data.test,
                enabled: reqData.data.enabled,
            },
        }));
    }),
];
