"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateEpPaymentGateway = void 0;
const errMsg = "Failed to enable elastic_path_payments_stripe gateway.";
async function updateEpPaymentGateway(client, accountId) {
    try {
        const updatedGateway = await client.Gateways.Update("elastic_path_payments_stripe", { enabled: true, stripe_account: accountId, test: true });
        if (updatedGateway.data) {
            return {
                success: true,
                data: updatedGateway.data,
            };
        }
        return {
            success: false,
            error: new Error(`${errMsg} ${JSON.stringify(updatedGateway)}`),
        };
    }
    catch (err) {
        return {
            success: false,
            error: new Error(`${errMsg} An unknown error occurred ${err instanceof Error
                ? `${err.name} - ${err.message}`
                : "Failed to render error."}`),
        };
    }
}
exports.updateEpPaymentGateway = updateEpPaymentGateway;
