"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetupIntegrationTask = void 0;
const options_1 = require("./options");
class SetupIntegrationTask {
    constructor(workingDirectory, commitOptions) {
        this.workingDirectory = workingDirectory;
        this.commitOptions = commitOptions;
    }
    toConfiguration() {
        return {
            name: options_1.SetupIntegrationName,
            options: {
                commit: !!this.commitOptions,
                workingDirectory: this.workingDirectory,
                authorName: this.commitOptions && this.commitOptions.name,
                authorEmail: this.commitOptions && this.commitOptions.email,
                message: this.commitOptions && this.commitOptions.message,
            },
        };
    }
}
exports.SetupIntegrationTask = SetupIntegrationTask;
