import { v4 as uuidv4 } from "uuid";
import { errorMessages } from "./error-messages";
export function handleCatchError(err) {
    return err instanceof Error ? err : new Error("Unknown error occurred");
}
export function processAsIntegrationHubErrorResponse(result) {
    if (result.error) {
        return {
            success: false,
            error: new Error(`${result.error?.name} - ${result.error?.message}`),
        };
    }
    return {
        success: false,
        error: new Error("No error information was provided."),
    };
}
export function createWebhookSecretKey() {
    return uuidv4();
}
export function didRequestFail(response) {
    return !response.success;
}
export function resolveErrorResponse(code, error) {
    return {
        success: false,
        name: "algolia",
        code,
        reason: errorMessages[code],
        error,
    };
}
