import { CreateInstanceDocument } from "../integration-hub-queries/integration-query";
export async function createIntegrationInstance(urqlClient, vars) {
    const response = await gqlCreateIntegrationInstance(urqlClient, vars);
    if (response.data && response.data.createInstance?.instance) {
        const instance = response.data.createInstance.instance;
        return {
            success: true,
            data: instance,
        };
    }
    else if (response.data?.createInstance?.errors) {
        return {
            success: false,
            error: new Error(`[errors: ${response.data?.createInstance?.errors.map((error) => `[${error.messages}]`)}`),
        };
    }
    else {
        return {
            success: false,
            error: new Error(`[${response.error?.name} - ${response.error?.message}] ${JSON.stringify(response.error)}`),
        };
    }
}
async function gqlCreateIntegrationInstance(urqlClient, vars) {
    return urqlClient.mutation(CreateInstanceDocument, vars).toPromise();
}
