import { createClient } from "@urql/core";
import fetch from "node-fetch";
export function createUrqlClient(jwtToken, region) {
    return createClient({
        url: resolveIntegrationHubBaseUrl(region),
        fetchOptions: {
            headers: {
                authorization: `Bearer ${jwtToken}`,
            },
        },
        fetch: fetch,
    });
}
function resolveIntegrationHubHost(region) {
    switch (region) {
        case "eu-west":
            return "eu-west-1";
        case "us-east":
            return "us-east-2";
        default:
            return "us-east-2";
    }
}
function resolveIntegrationHubBaseUrl(region) {
    return `https://${resolveIntegrationHubHost(region)}.elasticpathintegrations.com/api/`;
}
