import { DeployIntegrationInstanceDocument } from "../integration-hub-queries/integration-instance-query";
export async function deployIntegrationInstance(urqlClient, vars) {
    const response = await gqlDeployIntegrationInstance(urqlClient, vars);
    if (response.data && response.data?.deployInstance) {
        const deployedInstance = response.data?.deployInstance;
        return {
            success: true,
            data: deployedInstance,
        };
    }
    else {
        return {
            success: false,
            error: new Error(`${response.error?.name} - ${response.error?.message}`),
        };
    }
}
async function gqlDeployIntegrationInstance(urqlClient, vars) {
    return urqlClient
        .mutation(DeployIntegrationInstanceDocument, vars)
        .toPromise();
}
