import { GetIntegrationDocument } from "../integration-hub-queries/integration-query";
import { handleCatchError, processAsIntegrationHubErrorResponse, } from "../helpers";
export async function getIntegration(urqlClient, vars) {
    try {
        const response = await gqlGetIntegration(urqlClient, vars);
        const integrationData = response.data?.integration;
        if (integrationData !== null && integrationData !== undefined) {
            return {
                success: true,
                data: integrationData,
            };
        }
        return processAsIntegrationHubErrorResponse(response);
    }
    catch (err) {
        return {
            success: false,
            error: handleCatchError(err),
        };
    }
}
async function gqlGetIntegration(urqlClient, vars) {
    return urqlClient.query(GetIntegrationDocument, vars).toPromise();
}
