import { GetMarketplaceIntegrationByNameDocument, } from "../../codegen/gql/graphql";
import { handleCatchError, processAsIntegrationHubErrorResponse, } from "../helpers";
export async function getMarketplaceIntegrationByName(urqlClient, vars) {
    try {
        const response = await gqlGetMarketplaceIntegrationByName(urqlClient, vars);
        const integrationData = response.data?.marketplaceIntegrations.nodes?.[0];
        if (integrationData !== null && integrationData !== undefined) {
            return {
                success: true,
                data: integrationData,
            };
        }
        return processAsIntegrationHubErrorResponse(response);
    }
    catch (err) {
        return {
            success: false,
            error: handleCatchError(err),
        };
    }
}
async function gqlGetMarketplaceIntegrationByName(urqlClient, vars) {
    return urqlClient
        .query(GetMarketplaceIntegrationByNameDocument, vars)
        .toPromise();
}
