import fetch from "node-fetch";
import { resolveEpccBaseUrl } from "../../utility/resolve-epcc-url";
export async function integrationAuthToken(host, accessToken) {
    const url = `${resolveEpccBaseUrl(host)}/v2/platform-integrations/authentication-token`;
    const resp = await fetch(url, {
        headers: {
            Authorization: `Bearer ${accessToken}`,
        },
    }).then((resp) => resp.json());
    if (!isSuccessResponse(resp)) {
        return {
            success: false,
            error: new Error("Failed to get integrations authentication token."),
        };
    }
    return { success: true, data: { jwtToken: resp.data.jwt_token } };
}
function isSuccessResponse(resp) {
    return typeof resp === "object" && resp !== null && "data" in resp;
}
