import { ErrorResponse, Response } from "./types";
import { OperationResult, AnyVariables } from "@urql/core";
import { ErrorCodes } from "./error-messages";
import { AlgoliaIntegrationCreateFailureResult } from "./schema";
export declare function handleCatchError(err: unknown): Error;
export declare function processAsIntegrationHubErrorResponse<Data = any, Variables extends AnyVariables = AnyVariables>(result: OperationResult<Data, Variables>): ErrorResponse;
export declare function createWebhookSecretKey(): string;
export declare function didRequestFail<T>(response: Response<T>): response is ErrorResponse;
export declare function resolveErrorResponse(code: ErrorCodes, error?: Error): AlgoliaIntegrationCreateFailureResult;
