import { z } from "zod";
export declare const epPaymentGatewaySettingsSchema: z.ZodObject<{
    epccConfig: z.ZodObject<{
        host: z.ZodUnion<[z.ZodString, z.ZodLiteral<"eu-west">, z.ZodLiteral<"us-east">]>;
        clientId: z.ZodString;
        clientSecret: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        host: string;
        clientId: string;
        clientSecret: string;
    }, {
        host: string;
        clientId: string;
        clientSecret: string;
    }>;
    gatewayName: z.ZodLiteral<"ep-payments">;
    epPaymentsStripeAccountId: z.ZodString;
    epPaymentsStripePublishableKey: z.ZodString;
}, "strip", z.ZodTypeAny, {
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    gatewayName: "ep-payments";
    epPaymentsStripeAccountId: string;
    epPaymentsStripePublishableKey: string;
}, {
    epccConfig: {
        host: string;
        clientId: string;
        clientSecret: string;
    };
    gatewayName: "ep-payments";
    epPaymentsStripeAccountId: string;
    epPaymentsStripePublishableKey: string;
}>;
export type EpPaymentGatewaySettings = z.TypeOf<typeof epPaymentGatewaySettingsSchema>;
